Skip to main content
POST

Authorizations

Authorization
string
header
required

Bearer authentication header on the format Bearer <API_KEY>.

Headers

Idempotency-Key
string<uuid>

Optional UUID v4 idempotency key. If you resend the same key with a different request body, the API returns a 409 error. Cached responses include the header X-Idempotency-Cached: true. Keys expire after 24 hours.

Body

application/json

On-ramp using floating exchange rate.

customerId
string<uuid>
required

Customer's unique identifier.

Example:

"3c90c3cc-0d44-4b50-8888-8dd25736052a"

rail
enum<string>
required

Exchange rate payment rail.

Available options:
PIX,
SWIFT,
SEPA,
ACH,
FEDWIRE,
SPEI
Example:

"PIX"

sourceCurrency
enum<string>
required

Transaction's source currency.

Available options:
BRL,
USD,
EUR,
MXN
Example:

"BRL"

sourceAmount
string
required

Transaction's source amount.

Example:

"10000.00"

targetCurrency
enum<string>
required

Transaction's target currency.

Available options:
USDC,
USDT
Example:

"USDC"

purpose
enum<string>
required

Transaction's purpose. Note that PERSONAL_ACCOUNT can only be used with SELF relationship destinations.

Available options:
PERSONAL_ACCOUNT,
INVESTMENT,
REAL_ESTATE,
TRADE_TRANSACTIONS,
TAX,
LOAN,
BILLS,
EXPENSES_REIMBURSEMENT,
PROFESSIONAL_SERVICES
Example:

"PERSONAL_ACCOUNT"

blockchain
enum<string>

Target blockchain for the transaction. If not provided, the project's default blockchain will be used.

Available options:
ETHEREUM,
BASE,
TRON,
POLYGON
Example:

"POLYGON"

partnerFeeId
string<uuid>

Transaction's partner fee ID. If not provided, partner fees will be zero.

Example:

"123e4567-e89b-12d3-a456-426614174004"

metadata
object

Optional metadata object to attach to the transaction. Accepts any valid JSON object.

Example:

Response

202 - application/json

On-ramp transaction started successfully.

id
string<uuid>

On-ramp operation's unique identifier.

Example:

"123e4567-e89b-12d3-a456-426614174000"

customerId
string<uuid>

Customer's unique identifier.

Example:

"3c90c3cc-0d44-4b50-8888-8dd25736052a"

type
enum<string>

On-ramp operation's type.

Available options:
ON_RAMP
Example:

"ON_RAMP"

request
object
state
object

On-ramp operation's current state. See examples for more details.

metadata
object

Metadata object attached to the transaction.

Example:
createdAt
string<date-time>

Creation date and time (UTC).

Example:

"2024-03-20T15:30:00Z"

updatedAt
string<date-time>

Last update date and time (UTC).

Example:

"2024-03-20T15:30:05Z"